Page MenuHomePhabricator

[ARM][SchedModels] Add support for branch forms of ALU instructions to Cortex-A57 model
ClosedPublic

Authored by evgeny777 on Nov 11 2020, 7:47 AM.

Details

Summary

Patch also fixes computation of mutually exclusive predicates for sequences of variants to be properly expanded

Diff Detail

Event Timeline

evgeny777 created this revision.Nov 11 2020, 7:47 AM
evgeny777 requested review of this revision.Nov 11 2020, 7:47 AM
evgeny777 edited the summary of this revision. (Show Details)Nov 11 2020, 7:53 AM
evgeny777 updated this revision to Diff 304535.Nov 11 2020, 9:01 AM

Fixed issue with accessing wrong element in vector

dmgreen added inline comments.Nov 15 2020, 8:19 AM
llvm/utils/TableGen/CodeGenSchedule.cpp
1373

Looks like it's worth clang-formatting the change.

1390–1392

"A to C and from A to B"?

Wonderful comment by the way, now that (I think) I understand it.

llvm/utils/TableGen/SubtargetEmitter.cpp
1452

Extra ;

1629

This can probably move below the if

dmgreen accepted this revision.Nov 24 2020, 12:27 AM

Thanks. LGTM.

llvm/utils/TableGen/SubtargetEmitter.cpp
1623–1628

Some extra whitespace, which can be removed.

This revision is now accepted and ready to land.Nov 24 2020, 12:27 AM